import request from '@/utils/request'

// 查询巡检线路信息列表
export function listDmsBaseInspectRoute(query) {
  return request({
    url: '/dms/dmsBaseInspectRoute/list',
    method: 'get',
    params: query
  })
}

// 查询巡检线路信息详细
export function getDmsBaseInspectRoute(inspectRouteId) {
  return request({
    url: '/dms/dmsBaseInspectRoute/' + inspectRouteId,
    method: 'get'
  })
}

// 新增巡检线路信息
export function addDmsBaseInspectRoute(data) {
  return request({
    url: '/dms/dmsBaseInspectRoute',
    method: 'post',
    data: data
  })
}

// 修改巡检线路信息
export function updateDmsBaseInspectRoute(data) {
  return request({
    url: '/dms/dmsBaseInspectRoute',
    method: 'put',
    data: data
  })
}

// 删除巡检线路信息
export function delDmsBaseInspectRoute(inspectRouteId) {
  return request({
    url: '/dms/dmsBaseInspectRoute/' + inspectRouteId,
    method: 'delete'
  })
}
